Bug 780817 - (SOA-3263) Unclear providers and listeners configuration
Unclear providers and listeners configuration
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Documentation, JBossESB (Show other bugs)
5.2.0 ER1
Unspecified Unspecified
high Severity high
: ---
: 5.2.0 GA
Assigned To: David Le Sage
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 06:52 EDT by Martin Vecera
Modified: 2011-11-15 03:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-15 03:15:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3697 None None None Never
JBoss Issue Tracker SOA-3263 None None None Never

  None (edit)
Description Martin Vecera 2011-08-12 06:52:13 EDT
project_key: SOA

There are several ways how to configure providers in jboss-esb.xml. Except for the "standard" way used in quickstarts, there is also another way described in Programmers Guide. It is not accurate at the moment and there is an issue logged in SOA-3108. However, the following setup is accepted by ESB:
<jms-provider name="JBossMQ" connection-factory="ConnectionFactory">
              <property name="connection-factory" value="ConnectionFactory" />
              <property name="jndi-URL" value="jnp://localhost:1099" />
              <property name="protocol" value="jms" />
              <bus busid="quickstartGwChannel">
                    <property name="destination-type" value="queue" />
                    <property name="destination-name" value="queue/quickstart_helloworld_Request_gw" />
              </bus>
              <bus busid="quickstartEsbChannel">
                    <property name="destination-type" value="queue" />
                    <property name="destination-name" value="queue/quickstart_helloworld_Request_esb" />
              </bus>
          </jms-provider>
...
           <listeners>
                <listener name="JMS-Gateway"
                    busidref="quickstartGwChannel"
                    is-gateway="true"
                />
                <listener name="helloWorld"
                              busidref="quickstartEsbChannel"
                />
            </listeners>

1) It is not possible to <provider> instead of <jms-provider> (validation error on deployment).
2) It is not possible to ommit connection-factory attribute in <jms-provider> tag even if there is a corresponding property.
3) To my surprise, setting jndi-URL using <property> tag works.
4) This configuration can be successfully deployed, but it does not receive any messages sent to the GW queue.

Please note that XSD evrsion used is jbossesb-1.3.0.xsd (the lates I found in the distro).
Comment 1 tcunning 2011-10-04 16:06:30 EDT
Link: Added: This issue relates to JBESB-3697
Comment 2 tcunning 2011-10-04 16:23:30 EDT
Upgraded the examples in section 9.2 and 9.3 of the Programmer's Guide so that they contain valid configuration (<jms-bus>/<jms-provider).   Previously they contained legacy configuration that no longer works.

Talked to David about this one on irc and he said to make the changes in ESB and assign the issue over.

tcunning@localhost:docs]$ svn commit
Sending        docs/Programmers_Guide/en-US/Configuration.xml
Sending        docs/Programmers_Guide/en-US/extras/configuration/Code_Example16.xmlt
Adding         docs/Programmers_Guide/en-US/extras/configuration/Code_Example21.xmlt
Transmitting file data ...
Committed revision 37506.
Comment 3 David Le Sage 2011-10-09 18:03:05 EDT
Release Notes Docs Status: Added: Not Required
Writer: Added: dlesage
Comment 4 David Le Sage 2011-10-24 19:41:06 EDT
I have pulled in the changes Kevin made to the upstream version of the book.

Note You need to log in before you can comment on or make changes to this bug.